package com.qs.mp.user.mapper;

import com.qs.mp.admin.domain.vo.IndexVO;
import com.qs.mp.user.domain.UserDeliverOrder;
import com.qs.mp.user.domain.UserTicketOrder;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户盲票订单mapper类
 */
public interface UserTicketOrderMapper extends BaseMapper<UserTicketOrder> {

	  /**
	   * 统计交易金额
	   * @param wrapper
	   * @return
	   */
	  List<IndexVO> selectIndexPayAmtList(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
	  
	  /**
	   * 统计交易用户数
	   * @param wrapper
	   * @return
	   */
	  List<IndexVO> selectIndexPayUserCntList(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
	  
	  /**
	   * 统计实时交易数据
	   * @param wrapper
	   * @return
	   */
	  List<IndexVO> selectIndexDailyInfoList(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
	  
	  /**
	   * 统计票组销售TOP10
	   * @param wrapper
	   * @return
	   */
	  List<IndexVO> selectIndexTicketBoxTop(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
	  
	  /**
	   * 统计经销商交易额TOP10
	   * @param wrapper
	   * @return
	   */
	  List<IndexVO> selectIndexTicketSiteTop(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
}
